List all domains
curl --request GET \
--url https://inboundr.net/api/v1/domains \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboundr.net/api/v1/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://inboundr.net/api/v1/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://inboundr.net/api/v1/domains",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "dom_123",
"domain": "yourdomain.com",
"status": "verified",
"catchAllEndpointId": "ep_123",
"dkimTokens": ["token1", "token2", "token3"],
"createdAt": "2026-07-20T10:00:00.000Z",
"updatedAt": "2026-07-20T10:05:00.000Z"
}
]
}
Domains
List all domains
List every domain on the caller’s account.
GET
/
api
/
v1
/
domains
List all domains
Returns all domains you’ve registered, with verification status and catch-all
configuration.
{
"data": [
{
"id": "dom_123",
"domain": "yourdomain.com",
"status": "verified",
"catchAllEndpointId": "ep_123",
"dkimTokens": ["token1", "token2", "token3"],
"createdAt": "2026-07-20T10:00:00.000Z",
"updatedAt": "2026-07-20T10:05:00.000Z"
}
]
}
string
pending, verified, or failed.string | null
Endpoint that unrouted mail is delivered to, if any.
⌘I